Skip to main content
GET
/
folders
/
{id}
Get folder
curl --request GET \
  --url https://app.mavera.io/api/v1/folders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "folder",
  "name": "<string>",
  "workspace_id": "<string>",
  "file_count": 123,
  "is_shared": true,
  "is_favorite": true,
  "files": {
    "object": "list",
    "data": [
      {
        "id": "<string>",
        "object": "file",
        "name": "<string>",
        "url": "<string>",
        "type": "<string>",
        "size": 123,
        "source": "upload",
        "workspace_id": "<string>",
        "folder_id": "<string>",
        "folder": {
          "id": "<string>",
          "name": "<string>"
        },
        "thumbnail_url": "<string>",
        "metadata": {},
        "is_favorite": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "has_more": true,
    "next_cursor": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Folder ID

Query Parameters

include_files
boolean
default:true

Include files in the folder (default true)

limit
integer
default:50

Maximum number of files to include (default 50, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for file pagination

Response

Folder details

A folder with its file contents

id
string

Unique folder identifier

object
enum<string>
Available options:
folder
name
string

Folder name

workspace_id
string

Workspace ID

file_count
integer

Total number of files in the folder

is_shared
boolean

Whether the folder is shared with all workspace members

is_favorite
boolean

Whether the folder is in your favorites

files
object

Paginated list of files in the folder

created_at
string<date-time>
updated_at
string<date-time>